No edit summary
No edit summary
Line 509: Line 509:




/*** СТАНДАРТНЫЕ КЛАССЫ
    STANDARD CLASSES  ***/
/** Пиксельное масштабирование изображений и иконок пользователей **/
.pixel-image,
.sprite,
.sprite img,
.mw-userlink,
.invslot,
.ns-special .gallerybox img,
.ns-14 .gallerybox img,
.filehistory a img,
.mcui,
.gui {
    image-rendering: optimizeSpeed;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: optimize-contrast;
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: crisp-edges;
    image-rendering: pixelated;
    -ms-interpolation-mode: nearest-neighbor;
}
/** Отключить разрыв строки на пробелах **/
.nowrap {
    white-space: nowrap;
}
/** Hide noscript only elements **/
.noscript {
    display: none;
}
/** Скрытие от простых смертных ненужных элементов **/
.admin_only,
.admin_only_inline,
.admin_only_block,
.admin_only_flex {
    display: none !important;
}
/** Только для средств чтения с экрана **/
.sr-only:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
/** Чередующиеся ячейки и строки таблиц
    Alternating table cells and rows    **/
/*
    .alternatecells:nth-child(odd) {
        background-color: #F9F9F9;
    }
    body.wgl-theme-dark .alternatecells:nth-child(odd) {
        background-color: #222;
    }
   
    .alternaterows tr:nth-child(even) {
        background-color: #F9F9F9;
    }
    body.wgl-theme-dark .alternaterows tr:nth-child(even) {
        background-color: #222;
    }
*/
/* -------------------- WIKI EDITOR --------------------*/
.mw-wikiEditor-InsertLink-TitleInputField .oo-ui-messageWidget {
color: var(--color-subtle, #54595d);
font-weight: 400
}
.mw-wikiEditor-InsertLink-LinkTypeField .oo-ui-radioOptionWidget {
display: inline-block;
margin-left: 1em
}
.mw-wikiEditor-InsertLink-LinkTypeField .oo-ui-radioOptionWidget:first-child {
margin-left: 0
}
.wikiEditor-ui {
position: relative;
clear: both;
width: 100%
}
.wikiEditor-ui textarea {
width: 100%;
border: 0
}
.wikiEditor-ui textarea:focus {
outline: 0
}
.wikiEditor-ui .wikiEditor-ui-clear {
clear: both
}
.wikiEditor-ui .wikiEditor-ui-view {
border: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui .wikiEditor-ui-top {
position: relative;
border-bottom: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui .wikiEditor-ui-left {
float: left;
width: 100%
}
.wikiEditor-ui .wikiEditor-ui-right {
float: right;
background: var(--background-color-neutral-subtle, #f8f9fa);
overflow: hidden
}
.wikiEditor-wikitext {
float: left;
width: 100%
}
.wikiEditor-ui-controls {
float: left;
width: 100%;
background-color: var(--background-color-base, #fff)
}
.wikiEditor-ui-tabs {
float: left;
height: 2.5em;
margin-right: -1px;
background-color: var(--background-color-base, #fff);
border-left: 1px solid var(--border-color-subtle, #c8ccd1);
border-top: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui-tabs div {
float: left;
height: 2.5em;
background-color: var(--background-color-interactive-subtle, #f8f9fa);
border-right: 1px solid var(--border-color-subtle, #c8ccd1);
border-bottom: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui-tabs div a {
display: inline-block;
padding: 0 0.75em;
line-height: 2.5em;
color: var(--color-progressive, #36c)
}
.wikiEditor-ui-tabs div.current {
border-bottom: 1px solid #fff;
background-color: var(--background-color-base, #fff)
}
.wikiEditor-ui-tabs div.current a {
color: var(--color-base, #202122)
}
.wikiEditor-ui-tabs div.current a:hover {
text-decoration: none
}
.wikiEditor-ui-buttons {
float: right;
height: 2.5em;
margin-right: -1px;
background-color: var(--background-color-base, #fff);
padding-left: 1em;
border-top: 1px solid #fff
}
.wikiEditor-ui-buttons button {
margin-left: 0.5em
}
.wikiEditor-view-wikitext {
line-height: 1em
}
.wikiEditor-ui-toolbar {
position: relative;
display: block;
z-index: 7;
}
.wikiEditor-ui-toolbar .empty {
display: none
}
.wikiEditor-ui-toolbar .sections {
float: left;
width: 100%;
clear: both
}
.wikiEditor-ui-toolbar .sections .section {
float: left;
width: 100%;
border-top: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui-toolbar .sections .section-hidden {
display: none
}
.wikiEditor-ui-toolbar .tabs {
float: left;
height: 100%;
list-style: none;
margin: 0 3px;
min-height: 32px;
position: relative
}
.wikiEditor-ui-toolbar .tabs span.tab {
position: relative;
float: left;
line-height: 32px
}
.wikiEditor-ui-toolbar .tabs span.tab a {
color: var(--color-progressive, #36c);
cursor: pointer;
display: block;
height: 32px;
padding-left: 18px;
padding-right: 12px
}
.wikiEditor-ui-toolbar .tabs span.tab a::before {
content: '';
background: url(/extensions/WikiEditor/modules/images/toolbar/arrow-down.svg?4c840) center no-repeat;
display: block;
position: absolute;
top: 0;
left: 0;
width: 16px;
height: 32px;
transition: transform 100ms
}
body.ltr .wikiEditor-ui-toolbar .tabs span.tab a::before {
transform: rotate(-90deg)
}
body.rtl .wikiEditor-ui-toolbar .tabs span.tab a::before {
transform: rotate(90deg)
}
.wikiEditor-ui-toolbar .tabs span.tab a:visited {
color: var(--color-progressive, #36c)
}
.wikiEditor-ui-toolbar .tabs span.tab a.current,
.wikiEditor-ui-toolbar .tabs span.tab a.current:visited {
color: var(--color-base, #202122)
}
.wikiEditor-ui-toolbar .tabs span.tab a.current:hover,
.wikiEditor-ui-toolbar .tabs span.tab a.current:visited:hover {
text-decoration: none
}
body.ltr .wikiEditor-ui-toolbar .tabs span.tab a.current::before,
body.ltr .wikiEditor-ui-toolbar .tabs span.tab a.current:visited::before,
body.rtl .wikiEditor-ui-toolbar .tabs span.tab a.current::before,
body.rtl .wikiEditor-ui-toolbar .tabs span.tab a.current:visited::before {
transform: rotate(0)
}
.wikiEditor-ui-toolbar .tabs,
.wikiEditor-ui-toolbar .section-main,
.wikiEditor-ui-toolbar .section-secondary {
position: relative;
float: left;
min-height: 32px;
height: 100%
}
.wikiEditor-ui-toolbar .section-secondary {
float: right
}
.wikiEditor-ui-toolbar .section-secondary .group {
padding-right: 0;
margin-left: 6px;
border-left: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui-toolbar .group {
float: left;
display: flex;
min-height: 26px;
padding-right: 6px;
border-right: 1px solid var(--border-color-subtle, #c8ccd1);
margin: 3px;
}
.wikiEditor-ui-toolbar .group .label {
float: left;
border: 0;
height: 22px;
line-height: 22px;
margin: 2px 8px 2px 5px;
color: var(--color-subtle, #54595d);
cursor: default
}
.wikiEditor-ui-toolbar .group img.tool {
float: left;
border: 0;
height: 22px;
width: 22px;
padding: 2px;
cursor: pointer
}
.wikiEditor-ui-toolbar .group .tool-select {
float: left;
margin: 2px 0 2px 2px;
height: 22px;
cursor: pointer;
border: 1px solid var(--border-color-subtle, #c8ccd1);
padding: 0;
background-color: var(--background-color-base, #fff)
}
.wikiEditor-ui-toolbar .group .tool-select .label {
position: relative;
padding: 0 26px 0 4px;
margin: 0;
cursor: pointer;
text-decoration: none;
color: var(--color-base, #202122)
}
.wikiEditor-ui-toolbar .group .tool-select .label::after {
content: '';
background: url(/extensions/WikiEditor/modules/images/toolbar/arrow-down.svg?4c840) center no-repeat;
display: block;
position: absolute;
top: 0;
right: 4px;
width: 16px;
height: 22px
}
.wikiEditor-ui-toolbar .group .tool-select.options-shown .label::after {
transform: rotate(180deg)
}
.wikiEditor-ui-toolbar .group .tool-select .options {
position: absolute;
display: none;
margin-left: -1px;
margin-top: 22px;
border: 1px solid var(--border-color-subtle, #c8ccd1);
background-color: var(--background-color-base, #fff);
z-index: 1
}
.wikiEditor-ui-toolbar .group .tool-select .options .option {
display: block;
padding: 0.5em;
text-decoration: none;
color: var(--color-base, #202122);
white-space: nowrap
}
.wikiEditor-ui-toolbar .group .tool-select .options .option:hover {
background-color: #eaf3ff
}
.wikiEditor-ui-toolbar .group .tool-select .options .option[rel='heading-2'] {
font-size: 150%;
font-weight: normal
}
.wikiEditor-ui-toolbar .group .tool-select .options .option[rel='heading-3'] {
font-size: 132%;
font-weight: normal
}
.wikiEditor-ui-toolbar .group .tool-select .options .option[rel='heading-4'] {
font-size: 116%;
font-weight: normal
}
.wikiEditor-ui-toolbar .group .tool-select .options .option[rel='heading-5'] {
font-size: 100%;
font-weight: bold
}
.wikiEditor-ui-toolbar .group .tool-select:hover .options,
.wikiEditor-ui-toolbar .group .tool-select.options-shown .options {
display: block
}
.wikiEditor-ui-toolbar .group-search {
float: right;
border-right: 0;
border-left: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui-toolbar .booklet>.index {
float: left;
width: 20%;
height: 125px;
overflow: auto;
resize: horizontal
}
.wikiEditor-ui-toolbar .booklet>.index>div {
padding: 4px 4px 4px 6px;
cursor: pointer
}
.wikiEditor-ui-toolbar .booklet>.index .wikiEditor-character-highlighted {
background-color: rgba(41, 98, 204, 0.1);
color: var(--color-base, #202122)
}
.wikiEditor-ui-toolbar .booklet .pages {
height: 125px;
overflow: auto
}
.wikiEditor-ui-toolbar .page-table {
padding-left: 5px;
padding-right: 5px
}
.wikiEditor-ui-toolbar .page-table table {
background: none;
border-collapse: collapse;
width: 100%
}
.wikiEditor-ui-toolbar .page-table th {
color: var(--color-subtle, #54595d)
}
.wikiEditor-ui-toolbar .page-table td {
color: var(--color-base, #202122);
border-top: 1px solid var(--border-color-subtle, #c8ccd1)
}
.wikiEditor-ui-toolbar .page-table th,
.wikiEditor-ui-toolbar .page-table td {
margin: 0;
padding: 5px;
text-align: left
}
.wikiEditor-ui-toolbar .section-help .page-table {}
.wikiEditor-ui-toolbar .section-help .page-table .cell {
vertical-align: top
}
.wikiEditor-ui-toolbar .section-help .page-table .cell-syntax {
font-family: monospace, 'Courier'
}
.wikiEditor-ui-toolbar .section-help .page-table .cell-syntax,
.wikiEditor-ui-toolbar .section-help .page-table .cell-result {
width: 40%
}
.wikiEditor-ui-toolbar .section-help .page-table .cell-description {
width: 20%
}
.wikiEditor-ui-toolbar .section-help .page-table .table-link .cell-syntax,
.wikiEditor-ui-toolbar .section-help .page-table .table-link span.pre-wrap {
white-space: pre
}
.wikiEditor-ui-toolbar .section-help .cell-result h2,
.wikiEditor-ui-toolbar .section-help .cell-result h3,
.wikiEditor-ui-toolbar .section-help .cell-result h4,
.wikiEditor-ui-toolbar .section-help .cell-result h5 {
margin-bottom: 0;
margin-top: 0;
padding-top: 0
}
.wikiEditor-ui-toolbar .page-characters {
padding-bottom: 5px
}
.wikiEditor-ui-toolbar .page-characters div span {
border: 1px solid var(--border-color-subtle, #c8ccd1);
padding: 5px 8px;
margin-left: 5px;
margin-top: 5px;
height: 1em;
display: inline-block;
color: var(--color-base, #202122);
text-decoration: none;
cursor: pointer;
font-family: monospace, 'Courier';
font-size: 1.25em;
line-height: 1
}
.wikiEditor-ui-toolbar .page-characters div span:hover {
background-color: var(--background-color-base, #fff);
text-decoration: none;
border-color: var(--border-color-interactive, #72777d)
}
.wikiEditor-ui-toolbar .page-characters div .wikiEditor-character-highlighted {
background-color: #7db1c5;
color: var(--color-base, #202122)
}
.wikiEditor-ui-toolbar .page-characters div[dir='rtl'] span {
direction: rtl
}
.tool-button {
background-position: 50% 50%;
background-repeat: no-repeat;
vertical-align: middle;
width: 24px;
height: 24px;
text-indent: -9999px;
cursor: pointer;
overflow: hidden
}
.tool.oo-ui-buttonElement-frameless.oo-ui-iconElement {
margin: 0
}
.ui-widget table td.wikieditor-toolbar-table-preview-wrapper {
background: var(--background-color-neutral, #eaecf0);
padding: 10px
}
.ui-widget table td.wikieditor-toolbar-table-preview-wrapper span {
padding: 4px 6px 0;
display: block
}
.ui-widget table .wikieditor-toolbar-table-preview-frame {
width: 340px;
background: var(--background-color-base, #fff);
padding: 10px;
overflow: hidden;
display: block;
position: relative
}
.ui-widget table .wikieditor-toolbar-table-preview-content {
width: 375px;
display: block
}
.ui-widget table .wikieditor-toolbar-table-preview {
width: 340px
}
.wikiEditor-toolbar-dialog .ui-dialog-content {}
.wikiEditor-toolbar-dialog .ui-dialog-content fieldset {
border: 0 !important;
margin: 0 !important;
padding: 0 !important
}
.wikiEditor-toolbar-dialog .ui-dialog-content input[type='text'] {
box-sizing: border-box
}
.wikiEditor-toolbar-dialog .ui-dialog-content input[type='radio'],
.wikiEditor-toolbar-dialog .ui-dialog-content input[type='checkbox'] {
margin-left: 0
}
.wikiEditor-toolbar-dialog .ui-dialog-titlebar-close {
padding: 0
}
div.suggestions {
z-index: 1099
}
body .wikiEditor-toolbar-dialog .ui-dialog-titlebar-close {
right: 0.9em
}
.wikieditor-toolbar-field-wrapper {
padding: 0 0 25px 0
}
.wikieditor-toolbar-floated-field-wrapper {
float: left;
margin-right: 2em
}
#wikieditor-toolbar-replace-search,
#wikieditor-toolbar-replace-replace {
width: 100%
}
#wikieditor-toolbar-table-dialog fieldset {
width: 218px;
padding: 0;
float: left
}
#wikieditor-toolbar-table-dialog .wikieditor-toolbar-table-preview-wrapper {
width: 330px;
padding: 0;
float: right
}
.wikieditor-toolbar-table-preview-content * {
cursor: default
}
.wikiEditor-toolbar-dialog .wikieditor-toolbar-table-preview-wrapper table {
width: 100% !important
}
.wikiEditor-toolbar-dialog .wikieditor-toolbar-table-preview-content table td {
padding: 10px 4px !important;
height: auto !important
}
.wikiEditor-toolbar-dialog .wikieditor-toolbar-table-preview-content table th {
padding: 7px 3px !important
}
.wikiEditor-toolbar-dialog .ui-dialog-content {
padding: 30px 20px 1em !important
}
.wikiEditor-toolbar-dialog .ui-dialog-buttonpane {
border-top: 1px solid #c8ccd1 !important
}
.wikieditor-toolbar-table-dimension-fields .wikieditor-toolbar-field-wrapper {
float: left;
margin-right: 20px;
vertical-align: bottom
}
.wikieditor-toolbar-dialog-wrapper {
width: 100%
}
#wikieditor-toolbar-file-target,
#wikieditor-toolbar-file-caption,
#wikieditor-toolbar-file-alt {
width: 100%
}
.wikieditor-toolbar-file-alt-help {
float: right
}
.wikieditor-toolbar-file-options .wikieditor-toolbar-field-wrapper {
float: left;
margin: 0 20px 0 0
}
#wikieditor-toolbar-file-dialog+.ui-dialog-buttonpane .ui-dialog-buttonset {
width: 100%;
text-align: right;
}
#wikieditor-toolbar-file-dialog+.ui-dialog-buttonpane .ui-dialog-buttonset .ui-button:last-child {
float: left
}
body.rtl .wikiEditor-toolbar-dialog .ui-dialog-buttonpane button {
float: left;
margin: 0.5em 0.4em 0.5em 0 !important
}
.wikieditor-toolbar-table-dimension-fields::after,
.wikieditor-toolbar-dialog-wrapper::after {
visibility: hidden;
display: block;
font-size: 0;
content: ' ';
clear: both;
height: 0
}
.wikieditor-toolbar-table-dimension-fields,
.wikieditor-toolbar-dialog-wrapper {
display: inline-table;
display: block
}
.wikiEditor-ui-toolbar {
background-color: var(--background-color-neutral-subtle, #f8f9fa);
box-shadow: 0 2px 1px 0 rgba(0, 0, 0, 0.1);
}
.wikiEditor-ui-toolbar .group,
.wikiEditor-ui-toolbar .section-secondary .group {
border-color: var(--border-color-muted, #dadde3)
}
.wikiEditor-ui-toolbar .group {
min-height: 32px;
margin: 0;
padding-right: 0
}
.wikiEditor-ui-toolbar .group .label {
height: 28px;
margin-left: 8px;
line-height: 28px
}
.wikiEditor-ui-toolbar .group .tool-select {
background-color: transparent;
height: 32px;
margin: 0;
border: 0
}
.wikiEditor-ui-toolbar .group .tool-select .label {
height: 32px;
padding-left: 8px;
line-height: 32px
}
.wikiEditor-ui-toolbar .group .tool-select .label::after {
height: 32px
}
.wikiEditor-ui-toolbar .group .tool-select .menu .options {
margin-top: 32px;
box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25)
}
.wikiEditor-ui-toolbar .group .tool-select .menu .options .option:hover {
background-color: var(--background-color-interactive, #eaecf0)
}
.wikiEditor-ui-toolbar .booklet>.index> :hover {
background-color: var(--background-color-interactive, #eaecf0)
}
.wikiEditor-ui-toolbar .booklet>.index>.current {
background-color: var(--background-color-progressive-subtle, #f1f4fd);
color: var(--color-progressive, #36c)
}
.tool-button {
width: 32px;
height: 32px;
transition: background-color 100ms, color 100ms, border-color 100ms, box-shadow 100ms
}
.tool-button,
.tool.oo-ui-buttonElement-frameless.oo-ui-iconElement>.oo-ui-buttonElement-button {
border-radius: 0
}
.tool-button:hover,
.tool.oo-ui-buttonElement-frameless.oo-ui-iconElement>.oo-ui-buttonElement-button:hover {
background-color: rgba(0, 23, 70, 0.08599999999999999);
}
.tool-button:hover>.oo-ui-iconElement-icon,
.tool.oo-ui-buttonElement-frameless.oo-ui-iconElement>.oo-ui-buttonElement-button:hover>.oo-ui-iconElement-icon {
opacity: 1
}
.tool-button.tool-active,
.tool.oo-ui-buttonElement-frameless.oo-ui-iconElement>.oo-ui-buttonElement-button.tool-active {
background-color: rgba(0, 104, 243, 0.08599999999999999);
}
.tool.oo-ui-buttonElement-frameless.oo-ui-iconElement>.oo-ui-buttonElement-button>.oo-ui-iconElement-icon {
opacity: 0.87
}
/* -------------------- WIKI EDITOR 2 --------------------*/


.wikiEditor-ui .wikiEditor-ui-view {
.wikiEditor-ui .wikiEditor-ui-view {
Line 763: Line 1,637:
     display: none
     display: none
}
}
/*
/*
#preferences .mw-htmlform-submit-buttons {
#preferences .mw-htmlform-submit-buttons {
Line 822: Line 1,697:




 
/* -------------------- WIKI EDITOR 3 --------------------*/
 
 
 
 
 




Line 841: Line 1,711:
     box-shadow: none;
     box-shadow: none;
}
}


/* Prevent page jump from the toolbar loading */
/* Prevent page jump from the toolbar loading */
Line 947: Line 1,820:




 
/* -------------------- WIKI EDITOR 3 END --------------------*/
 
 
 
 
 
 
/*** СТАНДАРТНЫЕ КЛАССЫ
    STANDARD CLASSES  ***/
 
/** Пиксельное масштабирование изображений и иконок пользователей **/
.pixel-image,
.sprite,
.sprite img,
.mw-userlink,
.invslot,
.ns-special .gallerybox img,
.ns-14 .gallerybox img,
.filehistory a img,
.mcui,
.gui {
    image-rendering: optimizeSpeed;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: optimize-contrast;
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: crisp-edges;
    image-rendering: pixelated;
    -ms-interpolation-mode: nearest-neighbor;
}
 
/** Отключить разрыв строки на пробелах **/
.nowrap {
    white-space: nowrap;
}
 
/** Hide noscript only elements **/
.noscript {
    display: none;
}
 
/** Скрытие от простых смертных ненужных элементов **/
.admin_only,
.admin_only_inline,
.admin_only_block,
.admin_only_flex {
    display: none !important;
}
 
/** Только для средств чтения с экрана **/
.sr-only:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}
 
 
 
 
 
 
 
 
 
 
 
 
/** Чередующиеся ячейки и строки таблиц
    Alternating table cells and rows    **/
/*
    .alternatecells:nth-child(odd) {
        background-color: #F9F9F9;
    }
    body.wgl-theme-dark .alternatecells:nth-child(odd) {
        background-color: #222;
    }
   
    .alternaterows tr:nth-child(even) {
        background-color: #F9F9F9;
    }
    body.wgl-theme-dark .alternaterows tr:nth-child(even) {
        background-color: #222;
    }
*/